Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.ui
Interface IJavaElementSearchConstants

public interface IJavaElementSearchConstants

Search scope constants for Java selection dialogs.

This interface declares constants only; it is not intended to be implemented.

See Also:
  `JavaUI`

Field Summary
`static int` | `CONSIDER_BINARIES` Search scope constant (bit mask) indicating that binaries should be considered.
`static int` | `CONSIDER_CLASSES` Search scope constant (bit mask) indicating that classes should be considered.
`static int` | `CONSIDER_EXTERNAL_JARS` Search scope constant (bit mask) indicating that external JARs should be considered.
`static int` | `CONSIDER_INTERFACES` Search scope constant (bit mask) indicating that interfaces should be considered.
`static int` | `CONSIDER_REQUIRED_PROJECTS` Search scope constant (bit mask) indicating that required projects should be considered.
`static int` | `CONSIDER_TYPES` Search scope constant (bit mask) indicating that both classes and interfaces should be considered.

Field Detail

### CONSIDER_CLASSES

    public static final int CONSIDER_CLASSES

  Search scope constant (bit mask) indicating that classes should be considered. Used when opening certain kinds of selection dialogs.

  See Also:
    Constant Field Values

### CONSIDER_INTERFACES

    public static final int CONSIDER_INTERFACES

  Search scope constant (bit mask) indicating that interfaces should be considered. Used when opening certain kinds of selection dialogs.

  See Also:
    Constant Field Values

### CONSIDER_TYPES

    public static final int CONSIDER_TYPES

  Search scope constant (bit mask) indicating that both classes and interfaces should be considered. Equivalent to `CONSIDER_CLASSES | CONSIDER_INTERFACES`.

  See Also:
    Constant Field Values

### CONSIDER_BINARIES

    public static final int CONSIDER_BINARIES

  Search scope constant (bit mask) indicating that binaries should be considered. Used when opening certain kinds of selection dialogs.

  See Also:
    Constant Field Values

### CONSIDER_EXTERNAL_JARS

    public static final int CONSIDER_EXTERNAL_JARS

  Search scope constant (bit mask) indicating that external JARs should be considered. Used when opening certain kinds of selection dialogs.

  See Also:
    Constant Field Values

### CONSIDER_REQUIRED_PROJECTS

    public static final int CONSIDER_REQUIRED_PROJECTS

  Search scope constant (bit mask) indicating that required projects should be considered. Used when opening certain kinds of selection dialogs.

  Since:
    2.0
  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.